#
# spec file for package jade_jc (Version 1.2.1)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  gpp libgpp

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gcc-c++ gdbm gettext libstdc++-devel libtool perl rpm

Name:         jade_jc
License:      BSD
Group:        Productivity/Publishing/SGML
Requires:     sp_jc
Autoreqprov:  on
Version:      1.2.1
Release:      0.1
Summary:      James Clark's DSSSL-Engine for SGML documents
#'
Source:       ftp://ftp.jclark.com/pub/jade/jade-1.2.1.tar.bz2
Source1:      ftp://ftp.jclark.com/pub/sp/sp-1.3.4.tar.bz2
# currently unused
Patch1:       http://ftp.debian.org/debian/pool/main/j/jade/jade_1.2.1-42.diff.gz
# currently unused
Patch2:       jade_jc-c++-fixes.diff
# doc stuff
Patch4:       jade_jc-implied-decl.diff
# currently unused
Patch5:       jade_jc-makefile.diff
# currently unused
Patch8:       jade_jc-texfotbuilder-items.diff
# currently unused
Patch9:       sp_jc-1.3.4.diff
# currently unused
Patch10:      jade_jc-transform-quot.diff
# suse patches
Patch100:     jade_jc-profiles.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Url:          http://www.jclark.com/jade/

%description
Jade is an implementation of DSSSL (Document Style, Semantics and
Specification Language); pronounce it as "dissl" -- it rimes with whistle.
As a successor now "openjade" is available.

It has backends for SGML, RTF, MIF, TeX, and HTML.

The parser "nsgmls" and helper tools like "sgmlnorm", "spam",
"spent", and "sx" are now included in the separate package "sp".

You'll find the documentation at /usr/share/doc/packages/jade_dsl/.

Authors:
--------
    James Clark     <jjc@jclark.com>
    David Megginson <dmeggins@microstar.com>
    Cees de Groot   <cg@sgmltools.org>
    Kathleen Marszalek
    Paul Prescod    <papresco@calum.csclub.uwaterloo.ca>
    Sebastian Rahtz <s.rahtz@elsevier.co.uk>

%package    -n sp_jc-devel
Summary:      SGML parser tools (development package)
Group:        Productivity/Publishing/SGML
Version:      1.3.4
Release:      0.1
Requires:     sp_jc = 1.3.4
Autoreqprov:  on

%description -n sp_jc-devel
Libraries and includes to compile applications that use the SGML parser tools (package 'sp').

Authors:
--------
    James Clark <jjc@jclark.com>

%package    -n sp_jc
Summary:      SGML parser tools
Group:        Productivity/Publishing/SGML
Autoreqprov:  on
Version:      1.3.4
Release:      0.1

%description -n sp_jc
The tools of this package provide the possibility to manage SGML and XML
documents.


It contains the parser 'nsgmls' and the supporting programs 'sgmlnorm',
'spam', 'spent', and 's2x' (previous known under the filename 'sx').
's2x' is useful as a converting tool from
SGML to XML, the coming WWW standard.


You'll find the documentation
for all the programs under /usr/share/doc/packages/sp/.

Authors:
--------
    James Clark     <jjc@jclark.com>

%define INSTALL install -m755 -s
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%define sgml_dir %{_datadir}/sgml
%define sgml_dir_pkg %{sgml_dir}/%{name}
%define sgml_var_dir /var/lib/sgml
%prep
%setup -q -n jade-1.2.1
# -b 1
# %_fixowner ../sp-1.3.4
# %_fixgroup ../sp-1.3.4
# cp -fa ../sp-1.3.4/* .
%patch1 -p 1 -b .debian
%patch100 -b .profiles
# %patch1 -b .configure
# %patch2 -b .compiler
# %patch3 -p 1
# %patch8 -p 1 -b .tex-item
%patch4
# %patch5
# %patch6 -p 1 -b .dtddecl
# %patch7
# %patch9
# %patch10 -b .quot
# %patch11 -p 1 -b .config.in

%build
# rm configure
# cp config/configure.in .
# libtoolize --force
# pushd config
# autoreconf
# cp configure ..
# popd
# # make -f Makefile.jade \
# #       XDEFINES='-DSP_MULTI_BYTE \
# #                 -DJADE_MIF \
# #                 -DSGML_CATALOG_FILES_DEFAULT=\"CATALOG:/usr/share/sgml/CATALOG\"'
#       # -DSP_HAVE_LOCALE -DSP_HAVE_GETTEXT 
export CXXFLAGS="$RPM_OPT_FLAGS"
# %%{?suse_update_config:%%{suse_update_config -f config}}
./configure --prefix=%{_prefix} \
	    --libdir=%{_prefix}/%_lib \
            --enable-http \
            --enable-mif \
            --enable-default-catalog="CATALOG:%{sgml_dir}/CATALOG" \
            --with-gnu-ld
make
# now sx is named sgml2xml, change it in the docu
perl -pi -e 's/sx/sgml2xml/g; s/SX/SGML2XML/g;' doc/sx.htm
perl -pi -e 's/>sx/>sgml2xml/g; s/>SX/>SGML2XML/g;' doc/{new,index}.htm

%install
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
   rm -fr $RPM_BUILD_ROOT
   %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
%{INSTALL_DIR} $RPM_BUILD_ROOT%{_prefix}
%{INSTALL_DIR} $RPM_BUILD_ROOT%{_libdir}
%{INSTALL_DIR} $RPM_BUILD_ROOT%{_includedir}/sp_jc
# make install DESTDIR=$RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/%{_prefix} \
             libdir=$RPM_BUILD_ROOT/%{_libdir} \
             includedir=$RPM_BUILD_ROOT%{_includedir}/sp_jc
/sbin/ldconfig -n $RPM_BUILD_ROOT%{_libdir}
%{INSTALL_DATA} include/*.* $RPM_BUILD_ROOT%{_includedir}/sp_jc
%{INSTALL_DATA} generic/*.h $RPM_BUILD_ROOT%{_includedir}/sp_jc
%{INSTALL_DATA} grove/Node.h $RPM_BUILD_ROOT%{_includedir}/sp_jc
%{INSTALL_DATA} spgrove/GroveApp.h \
                spgrove/GroveBuilder.h $RPM_BUILD_ROOT%{_includedir}/sp_jc
%{INSTALL_DATA} style/FOTBuilder.h style/GroveManager.h \
                style/DssslApp.h style/dsssl_ns.h \
                $RPM_BUILD_ROOT%{_includedir}/sp_jc
pushd $RPM_BUILD_ROOT%{_bindir}
for b in [a-z]* ; do
  mv $b $b.jc
done
ln -f sx.jc s2x.jc
ln -f sx.jc sgml2xml.jc
popd
%{INSTALL_DIR} $RPM_BUILD_ROOT/etc/profile.d
%{INSTALL_DATA} jade_dsl.sh $RPM_BUILD_ROOT/etc/profile.d/jade_jc.sh
%{INSTALL_DATA} sp.sh $RPM_BUILD_ROOT/etc/profile.d/sp_jc.sh
%{INSTALL_DIR} $RPM_BUILD_ROOT%{sgml_dir_pkg}
# TODO: should go into a special declaration directory
# 2000-11-19 18:04:26 CET -ke-
%{INSTALL_DATA} japan.sgmldecl $RPM_BUILD_ROOT%{sgml_dir_pkg}/japan.dcl
%{INSTALL_DATA} pubtext/xml.dcl $RPM_BUILD_ROOT%{sgml_dir_pkg}/xml.dcl
sed 's|decl|dcl|' pubtext/xml.soc > $RPM_BUILD_ROOT%{sgml_dir_pkg}/xml.soc
%{INSTALL_DATA} sp_implied.decl $RPM_BUILD_ROOT%{sgml_dir_pkg}/sp_implied.dcl
pushd dsssl
  %{INSTALL_DATA} catalog dsssl.dtd fot.dtd style-sheet.dtd \
    $RPM_BUILD_ROOT%{sgml_dir_pkg}
  %{INSTALL_DIR} $RPM_BUILD_ROOT%{sgml_var_dir}
  sed 's|"\([^"]*\.dtd\)"|"%{sgml_dir_pkg}/\1"|' catalog \
    > $RPM_BUILD_ROOT%{sgml_var_dir}/CATALOG.%{name}
  cd $RPM_BUILD_ROOT%{sgml_dir} \
    && ln -sf ../../..%{sgml_var_dir}/CATALOG.%{name} CATALOG.%{name}
popd
%{INSTALL_DIR} $RPM_BUILD_ROOT%{sgml_dir}/James_Clark/dtd
%{INSTALL_DIR} $RPM_BUILD_ROOT%{sgml_dir}/ISO_IEC_10179:1996/dtd
pushd $RPM_BUILD_ROOT%{sgml_dir}/James_Clark/dtd
  ln -sf ../../$RPM_PACKAGE_NAME/fot.dtd DSSSL_Flow_Object_Tree
  cd $RPM_BUILD_ROOT%{sgml_dir}/James_Clark/dtd
  ln -sf ../../$RPM_PACKAGE_NAME/style-sheet.dtd DSSSL_Style_Sheet
  cd $RPM_BUILD_ROOT%{sgml_dir}/ISO_IEC_10179:1996/dtd
  ln -sf ../../$RPM_PACKAGE_NAME/dsssl.dtd DSSSL_Architecture
popd
# prepare dirs for doc installation
rm -f doc/Makefile
rm -f jadedoc/copying.txt
rm -f dsssl/*jadetex*
[ -d html-xml ] && rm -fr html-xml
cp -a pubtext html-xml

%post -n sp_jc
%run_ldconfig

%clean
rm -fr $RPM_BUILD_ROOT

%files
%doc COPYING README
%doc jadedoc dsssl
%config /etc/profile.d/jade_jc.sh
%{sgml_dir}/CATALOG.%{name}
%dir %{sgml_var_dir}
%config %{sgml_var_dir}/CATALOG.%{name}
# OpenJade will provide them:
# %dir %{sgml_dir}/ISO_IEC_10179:1996
# %dir %{sgml_dir}/ISO_IEC_10179:1996/dtd
# %dir %{sgml_dir}/James_Clark
# %dir %{sgml_dir}/James_Clark/dtd
%{sgml_dir_pkg}
%{_bindir}/jade.jc
# %{sgml_dir}/ISO_IEC_10179:1996/dtd/DSSSL_Architecture
# %{sgml_dir}/James_Clark/dtd/DSSSL_Flow_Object_Tree
# %{sgml_dir}/James_Clark/dtd/DSSSL_Style_Sheet

%files -n sp_jc-devel
%{_includedir}/sp_jc
%{_libdir}/lib*.so
%{_libdir}/*a

%files -n sp_jc
%doc COPYING japan.sgmldecl
%doc doc html-xml unicode
%config /etc/profile.d/sp_jc.sh
%{_bindir}/nsgmls.jc
%{_bindir}/sgmlnorm.jc
%{_bindir}/spam.jc
%{_bindir}/spent.jc
%{_bindir}/sx.jc
%{_bindir}/s2x.jc
%{_bindir}/sgml2xml.jc
%{_libdir}/lib*.so.*

%changelog -n jade_jc
* Mon Jun 28 2004 - ke@suse.de
- Apply
  http://ftp.debian.org/debian/pool/main/j/jade/jade_1.2.1-42.diff.gz
  and disable most of the other patches.
* Mon Dec 02 2002 - ke@suse.de
- Formerly known as jade_dsl, sp and sp-devel on SuSE Linux <= 8.1.
